<template>
  <div style="z-index:-1;width:100%;height:56px"></div>
  <div v-if="!isFooterMenuEnabled || !displayAuthButtons"
    class="fixed bottom-0 left-0 z-30 flex justify-center w-full px-1 py-3 h-max fc-text bg-background3 shadow-top footer-menu mobile-style"
  >
    <nuxt-link v-if="!isIndex" to="/" class="flex-1 mx-auto text-center">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[20px] h-[20px]"
          :class="
            $route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon svg-name="icon-home" class="w-[20px] h-[20px]" />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.name === 'home' ? 'text-[color:var(--selected)]' : 'fc-text4'
        "
      >
        {{ $t("home") }}
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="isIndex && isAllowPromotionTab"
      class="flex-1 mx-auto text-center"
      to="/promotion"
    >
      <div class="flex justify-center">
        <span
          class="m-0 w-[20px] h-[20px]"
          :class="
            $route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon
            svg-name="icon-promotion-2"
            class="w-[20px] h-[20px]"
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.name === 'Promotion'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("promotion") }}
      </div>
    </nuxt-link>
    <nuxt-link
      :to="auth ? BET_HISTORY_ROUTES.INDEX : '/login'"
      class="text-center mx-auto flex-1"
    >
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[20px] h-[20px]"
          :class="
            $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon
            svg-name="icon-fBetHistory"
            class="w-[20px] h-[20px]"
            :style="
              $route.matched[0].name === 'bet-history'
                ? 'fill: var(--selected)'
                : ''
            "
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'bet-history'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("bet_history") }}
      </div>
    </nuxt-link>
    <nuxt-link
      v-if="auth && isShowDepositWithdrawal && isCashPlayer"
      class="text-center mx-auto flex-1"
      to="/deposit"
    >
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[20px] h-[20px]"
          :class="
            $route.name === 'Promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon
            svg-name="icon-fDeposit"
            class="w-[20px] h-[20px]"
            :style="
              $route.matched[0].name === 'deposit'
                ? 'fill: var(--selected)'
                : ''
            "
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'deposit'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t(`deposit${isBhinbhin}`) }}
      </div>
    </nuxt-link>
    <nuxt-link to="/contact-us" class="flex-1 mx-auto text-center">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[20px] h-[20px]"
          :class="
            $route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon
            svg-name="icon-contact"
            class="w-[20px] h-[20px]"
            :style="
              $route.matched[0].name === 'contact-us'
                ? 'fill: var(--selected)'
                : ''
            "
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'contact-us'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("contact") }}
      </div>
    </nuxt-link>
    <nuxt-link to="/profile" class="flex-1 mx-auto text-center">
      <div class="flex justify-center icon">
        <span
          class="m-0 w-[20px] h-[20px]"
          :class="
            $route.name === 'promotion' ? 'foot-menu-item-title-active' : ''
          "
        >
          <svg-icon
            svg-name="icon-fAccount"
            class="w-[20px] h-[20px]"
            :style="
              $route.matched[0].name === 'profile'
                ? 'fill: var(--selected)'
                : ''
            "
          />
        </span>
      </div>
      <div
        class="footer-menu-item-title"
        :class="
          $route.matched[0].name === 'profile'
            ? 'text-[color:var(--selected)]'
            : 'fc-text4'
        "
      >
        {{ $t("account") }}
      </div>
    </nuxt-link>
  </div>
  <div v-if="!auth && displayAuthButtons"
    class="fixed bottom-0 left-0 z-30 w-full flex justify-center items-center fc-text bg-background2 shadow-top h-14 mobile-style"
  >
    <div
      class="flex items-center justify-center flex-1 h-full mx-auto text-center bg-primary"
      @click="toggleLoginRegisterDialog()"
    >
      <div class="text-sm font-bold leading-4 fc-textBtn">
        {{ $t("capital_login") }}
      </div>
    </div>
    <div
      v-if="!register.IsHidden"
      to="/register"
      class="flex items-center justify-center flex-1 h-full mx-auto text-center bg-green-400 bg-secondary"
      :id="ID.SIGNUP"
      @click="toggleLoginRegisterDialog(false)"
    >
      <div class="text-sm font-bold leading-4 fc-textBtn pointer-events-none">
        {{ $t("joinnow") }}
      </div>
    </div>
    <nuxt-link
      v-if="getContactList.length"
      to="/contact-us"
      class="w-14 h-14 flex justify-center items-center bg-background5 gap-1"
    >
      <svg-icon
        svg-name="icon-contact-new"
        class="icon w-[18px] h-[18px]"
        style="fill:var(--text3)"
      />
    </nuxt-link>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, toRefs } from "vue";
import { store } from "@/store";
import commonHelper from "@/utils/commonHelper";
import useMenu from "@/composables/useMenu";
import { useHeaderComponent } from "@/composables/useTheme";
import EnumThemePropertyKey from "~~/models/enums/enumThemePropertyKey";

export default defineComponent({
  name: "MFooterFunction1",
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
    displayAuthButtons: {
      type: Boolean,
      default: true,
    },
  },
  setup(_) {
    const router = useRouter();
    const route = useRoute();
    const { name } = toRefs(route);
    const { getContactList } = useContactUs();
    const isIndex = computed(
      () => name.value === "home" || name.value === "index"
    );
    const onNavigateToPage = (url: string) => {
      if (_.auth) {
        window.open(url, "_blank");
      } else {
        router.push("/login");
      }
    };
    const { getAssetImage, toggleLoginRegisterDialog, isBhinbhin } = commonHelper;
    const { isShowDepositWithdrawal, isCashPlayer } = useMenu();
    const { isAllowPromotionTab, register } = useHeaderComponent();
    const authentication = computed(() => store.state.auth);
    const isFooterMenuEnabled = computed(() =>
      authentication && featuresToggleHelper.getThemePropertyFromApi(
      EnumThemePropertyKey.HtmlId,
      "footer_menu").IsHidden
    );
    return {
      name,
      isIndex,
      onNavigateToPage,
      getAssetImage,
      isShowDepositWithdrawal,
      isCashPlayer,
      isAllowPromotionTab,
      register,
      isFooterMenuEnabled,
      toggleLoginRegisterDialog,
      getContactList,
      isBhinbhin,
    };
  },
});
</script>
<style lang="scss">
.footer-menu {
  padding: 8px 0px;
  align-items: center;
  a {
    width: calc(100% / 5);
  }
}
.footer-menu-item-title {
  font-size: 12px;
  margin-top: 2px;
  width: auto;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.shadow-top {
  box-shadow: 0px -4px 3px rgba(0, 0, 0, 0.25);
}
a.router-lint-active svg {
  fill: var(--selected);
}
</style>
<style scoped>
a:not(.router-lint-active) svg.text {
  fill: var(--text5);
}
</style>
